# $Revision: 1.6 $, $Date: 2008/12/12 13:31:04 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Plugin-Authentication-Store-DBIC
Summary:	**DEPRECATED** Authentication and authorization against a DBIx::Class or Class::DBI model
Summary(pl.UTF-8):	**PRZESTARZAŁY** Uwierzytelnianie i autoryzacja względem modelu DBIx::Class lub Class::DBI
Name:		perl-Catalyst-Plugin-Authentication-Store-DBIC
Version:	0.11
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7743beb2c7bca430f906b6c04899eade
URL:		http://search.cpan.org/dist/Catalyst-Plugin-Authentication-Store-DBIC/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 5.49
BuildRequires:	perl-Catalyst-Model-DBIC-Schema
BuildRequires:	perl-Catalyst-Plugin-Authentication >= 0.06
BuildRequires:	perl-DBI
BuildRequires:	perl-Set-Object >= 1.14
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This store has been deprecated in favour of
Catalyst::Authentication::Store::DBIx::Class.

This plugin uses a DBIx::Class (or Class::DBI) object to authenticate
a user.

%description -l pl.UTF-8
Ten moduł jest przestarzały; używaj
Catalyst::Authentication::Store::DBIx::Class. 

Ta wtyczka wykorzystuje obiekt DBIx::Class (lub Class:DBI) do
uwierzytelniania użytkownika.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL --skipdeps \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Plugin/Authentication/Store/*.pm
%{perl_vendorlib}/Catalyst/Plugin/Authentication/Store/DBIC
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Plugin-Authentication-Store-DBIC.spec,v $
Revision 1.6  2008/12/12 13:31:04  radek
- release 4: add depreciation notice

Revision 1.5  2008/12/12 11:08:16  radek
- release 3: BR:perl-Catalyst-Model-DBIC-Schema

Revision 1.4  2008/12/12 11:03:10  radek
- release 2: --skipdeps

Revision 1.3  2008/12/12 10:50:55  radek
- version 0.11

Revision 1.2  2007/04/05 15:53:21  qboosh
- pl
- BR package names

Revision 1.1  2007/03/30 13:40:24  radek
- new
